<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Basis\TeilnehmerInfo\NewTeilnehmer;

abstract class NewTeilnehmerPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  
  protected function getNewViewModel()
  {
    return new NewTeilnehmerViewModel();
  }

  protected function getViewModel()
  {
    $viewModel = $this->getNewViewModel();
    $viewModel->columns = $this->useCaseResponse->columns;
    $viewModel->teilnehmer = $this->useCaseResponse->teilnehmer;

    return $viewModel;
  }
}